Subject: Linking without ld
From: [email-masked] (Tim Iverson)

3 Apr 1997 22:37:34 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

I've applied this patch and it does indeed allow one to link objects
produced by GCC with a different linker than LD.  I used Phar-Lap's
linker, but I suspect this fix would also be sufficient for others.

Thanks Sean!

- Tim Iverson
  [email-masked]


+----------------
| From: [email-masked] (Sean McNeil)
| To: [email-masked], [email-masked]
| Subject: RE: Nobody in the world understands Gnu's 'ld'.
| Date: Tue, 25 Mar 1997 21:59:46 -0800
| 
| Try the following:
| 
| *** gas/config/obj-coff.c~      Wed Dec 31 16:01:33 1969
| --- gas/config/obj-coff.c       Sun Mar 23 14:20:52 1997
| ***************
| *** 3176,3183 ****
| --- 3176,3185 ----
|       {
|         long size;
| 
| + #ifndef TE_PE
|         segment_info[i].scnhdr.s_paddr = addr;
|         segment_info[i].scnhdr.s_vaddr = addr;
| + #endif
| 
|         if (segment_info[i].scnhdr.s_name[0])
|         {

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".